curl --request GET \
--url https://api.deepl.com/v1/jobs/voice/translate/{job_id} \
--header 'Authorization: <api-key>'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"product": "voice",
"operation": "translate",
"created_at": "2026-10-01T01:03:03.444Z",
"updated_at": "2026-10-01T04:03:03.333Z",
"usage": {
"storage_used": 31457280
},
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"parameters": {
"source_language": "en"
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
],
"results": [
{
"status": "processing"
},
{
"status": "processing"
}
]
}Get voice translation job status
Check the status of a voice translation job and get a download URL and signature for each completed target.
curl --request GET \
--url https://api.deepl.com/v1/jobs/voice/translate/{job_id} \
--header 'Authorization: <api-key>'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"product": "voice",
"operation": "translate",
"created_at": "2026-10-01T01:03:03.444Z",
"updated_at": "2026-10-01T04:03:03.333Z",
"usage": {
"storage_used": 31457280
},
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"parameters": {
"source_language": "en"
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
],
"results": [
{
"status": "processing"
},
{
"status": "processing"
}
]
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Path Parameters
The unique identifier of the job, returned by the create job endpoint.
"a74d88fb-ed2a-4943-a664-a4512398b994"
Query Parameters
Additional fields to include in the response.
signed_url: Include pre-signed URLs (signed_upload_urlon create,signed_download_urlon status) that can be used without an authorization header.
signed_url Response
Job status retrieved successfully.
The unique identifier of the job.
The product identifier.
"voice"
The operation identifier.
"translate"
When the job was created (ISO 8601).
When the job was last updated (ISO 8601).
Show child attributes
Show child attributes
Metadata about the uploaded source audio file.
Show child attributes
Show child attributes
Processing parameters as applied to the voice translation job.
Show child attributes
Show child attributes
The translation targets as specified in the create request.
Show child attributes
Show child attributes
Per-target processing results, in the same order as the targets array.
Show child attributes
Show child attributes